diff --git a/mod/forum/tests/behat/single_forum_discussion.feature b/mod/forum/tests/behat/single_forum_discussion.feature
index ddd7246..cd6d196 100644
--- a/mod/forum/tests/behat/single_forum_discussion.feature
+++ b/mod/forum/tests/behat/single_forum_discussion.feature
@@ -7,8 +7,8 @@ Feature: Single simple forum discussion type
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/forum/tests/behat/track_read_posts.feature b/mod/forum/tests/behat/track_read_posts.feature
index 5bf1233..13d5ab9 100644
--- a/mod/forum/tests/behat/track_read_posts.feature
+++ b/mod/forum/tests/behat/track_read_posts.feature
@@ -7,8 +7,8 @@ Feature: A teacher can set one of 3 possible options for tracking read forum pos
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email | trackforums |
-      | student1 | Student | 1 | student1@asd.com | 1 |
-      | student2 | Student | 2 | student2@asd.com | 0 |
+      | student1 | Student | 1 | student1@example.com | 1 |
+      | student2 | Student | 2 | student2@example.com | 0 |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/categories.feature b/mod/glossary/tests/behat/categories.feature
index 9df26c3..f42dc43c1d 100644
--- a/mod/glossary/tests/behat/categories.feature
+++ b/mod/glossary/tests/behat/categories.feature
@@ -8,8 +8,8 @@ Feature: Glossary entries can be organised in categories
   Scenario: Glossary entries can be organised in categories and categories can be autolinked
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/entries_always_editable.feature b/mod/glossary/tests/behat/entries_always_editable.feature
index efc9c1e..7fce28a 100644
--- a/mod/glossary/tests/behat/entries_always_editable.feature
+++ b/mod/glossary/tests/behat/entries_always_editable.feature
@@ -8,8 +8,8 @@ Feature: A teacher can set whether glossary entries are always editable or not
   Scenario: Glossary entries are not always editable
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/entries_require_approval.feature b/mod/glossary/tests/behat/entries_require_approval.feature
index eb35bb1..2d615be 100644
--- a/mod/glossary/tests/behat/entries_require_approval.feature
+++ b/mod/glossary/tests/behat/entries_require_approval.feature
@@ -7,9 +7,9 @@ Feature: A teacher can choose whether glossary entries require approval
   Scenario: Approve and undo approve glossary entries
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/prevent_duplicate_entries.feature b/mod/glossary/tests/behat/prevent_duplicate_entries.feature
index 55d9b1a..3009725 100644
--- a/mod/glossary/tests/behat/prevent_duplicate_entries.feature
+++ b/mod/glossary/tests/behat/prevent_duplicate_entries.feature
@@ -8,7 +8,7 @@ Feature: A teacher can choose whether to allow duplicate entries in a glossary
   Scenario: Prevent duplicate entries
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/print_friendly_version.feature b/mod/glossary/tests/behat/print_friendly_version.feature
index 5b2cb8d..0c48de5 100644
--- a/mod/glossary/tests/behat/print_friendly_version.feature
+++ b/mod/glossary/tests/behat/print_friendly_version.feature
@@ -7,8 +7,8 @@ Feature: A teacher can choose whether to provide a printer-friendly glossary ent
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/glossary/tests/behat/search_entries.feature b/mod/glossary/tests/behat/search_entries.feature
index fbc2800..c2f6823 100644
--- a/mod/glossary/tests/behat/search_entries.feature
+++ b/mod/glossary/tests/behat/search_entries.feature
@@ -7,8 +7,8 @@ Feature: Glossary entries can be searched or browsed by alphabet, category, date
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/date_availability.feature b/mod/lesson/tests/behat/date_availability.feature
index 9d75adc..6e47cc3 100644
--- a/mod/lesson/tests/behat/date_availability.feature
+++ b/mod/lesson/tests/behat/date_availability.feature
@@ -7,8 +7,8 @@ Feature: A teacher can set available from and deadline dates to access a lesson
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_edit_cluster.feature b/mod/lesson/tests/behat/lesson_edit_cluster.feature
index e41b219..51a7b4c 100644
--- a/mod/lesson/tests/behat/lesson_edit_cluster.feature
+++ b/mod/lesson/tests/behat/lesson_edit_cluster.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, teacher can edit a cluster page
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_edit_pages.feature b/mod/lesson/tests/behat/lesson_edit_pages.feature
index 843fe3b..0986bd0 100644
--- a/mod/lesson/tests/behat/lesson_edit_pages.feature
+++ b/mod/lesson/tests/behat/lesson_edit_pages.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, teacher can edit lesson's pages
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_essay_question.feature b/mod/lesson/tests/behat/lesson_essay_question.feature
index 74ce3ef..be48bd6 100644
--- a/mod/lesson/tests/behat/lesson_essay_question.feature
+++ b/mod/lesson/tests/behat/lesson_essay_question.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, teacher can add an essay question
   Scenario: questions with essay question
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_informations_at_end.feature b/mod/lesson/tests/behat/lesson_informations_at_end.feature
index c997db8..8360d12 100644
--- a/mod/lesson/tests/behat/lesson_informations_at_end.feature
+++ b/mod/lesson/tests/behat/lesson_informations_at_end.feature
@@ -6,8 +6,8 @@ Feature: In a lesson activity, if custom scoring is not enabled, student should
   Scenario: Informations at end of lesson if custom scoring not enabled
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_navigation.feature b/mod/lesson/tests/behat/lesson_navigation.feature
index 1f3c051..f7581f7 100644
--- a/mod/lesson/tests/behat/lesson_navigation.feature
+++ b/mod/lesson/tests/behat/lesson_navigation.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, students can navigate through a series of pages i
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_number_of_student_attempts.feature b/mod/lesson/tests/behat/lesson_number_of_student_attempts.feature
index d4fa271..260f9d4 100644
--- a/mod/lesson/tests/behat/lesson_number_of_student_attempts.feature
+++ b/mod/lesson/tests/behat/lesson_number_of_student_attempts.feature
@@ -7,9 +7,9 @@ Feature: In My home, teacher can see the number of student attempts to lessons
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_practice.feature b/mod/lesson/tests/behat/lesson_practice.feature
index 1aaf010..73ef06c 100644
--- a/mod/lesson/tests/behat/lesson_practice.feature
+++ b/mod/lesson/tests/behat/lesson_practice.feature
@@ -7,8 +7,8 @@ Feature: Practice mode in a lesson activity
     Background:
         Given the following "users" exist:
             | username | firstname | lastname | email |
-            | teacher1 | Teacher | 1 | teacher1@asd.com |
-            | student1 | Student | 1 | student1@asd.com |
+            | teacher1 | Teacher | 1 | teacher1@example.com |
+            | student1 | Student | 1 | student1@example.com |
         And the following "courses" exist:
             | fullname | shortname | category |
             | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_review.feature b/mod/lesson/tests/behat/lesson_review.feature
index 053c307..ae4683e 100644
--- a/mod/lesson/tests/behat/lesson_review.feature
+++ b/mod/lesson/tests/behat/lesson_review.feature
@@ -8,8 +8,8 @@ Feature: In a lesson activity, students can review the answers they gave to ques
   Scenario: Student answers questions and then reviews them.
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_student_resume.feature b/mod/lesson/tests/behat/lesson_student_resume.feature
index fb9bd86..5fe36db 100644
--- a/mod/lesson/tests/behat/lesson_student_resume.feature
+++ b/mod/lesson/tests/behat/lesson_student_resume.feature
@@ -5,8 +5,8 @@ Feature: In a lesson activity a student should
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_with_clusters.feature b/mod/lesson/tests/behat/lesson_with_clusters.feature
index 60fdee3..685b07d 100644
--- a/mod/lesson/tests/behat/lesson_with_clusters.feature
+++ b/mod/lesson/tests/behat/lesson_with_clusters.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, students can see questions in random order
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/lesson_with_subcluster.feature b/mod/lesson/tests/behat/lesson_with_subcluster.feature
index a697f46..c1348f7 100644
--- a/mod/lesson/tests/behat/lesson_with_subcluster.feature
+++ b/mod/lesson/tests/behat/lesson_with_subcluster.feature
@@ -7,8 +7,8 @@ Feature: In a lesson activity, students can see questions in random order and a
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/link_to_gradebook.feature b/mod/lesson/tests/behat/link_to_gradebook.feature
index 3edbd08..a6c9343 100644
--- a/mod/lesson/tests/behat/link_to_gradebook.feature
+++ b/mod/lesson/tests/behat/link_to_gradebook.feature
@@ -7,8 +7,8 @@ Feature: link to gradebook on the end of lesson page
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/password_protection.feature b/mod/lesson/tests/behat/password_protection.feature
index 74548e2..da5ed44 100644
--- a/mod/lesson/tests/behat/password_protection.feature
+++ b/mod/lesson/tests/behat/password_protection.feature
@@ -8,8 +8,8 @@ Feature: A teacher can password protect a lesson
   Scenario: Accessing as student to a protected lesson
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/lesson/tests/behat/time_limit.feature b/mod/lesson/tests/behat/time_limit.feature
index 9089bae..80c4e5e 100644
--- a/mod/lesson/tests/behat/time_limit.feature
+++ b/mod/lesson/tests/behat/time_limit.feature
@@ -8,8 +8,8 @@ Feature: A teacher can set a time limit for a lesson
   Scenario: Accessing as student to a lesson with time limit
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/scorm/tests/behat/add_scorm.feature b/mod/scorm/tests/behat/add_scorm.feature
index 85a7249..b7c09b0 100644
--- a/mod/scorm/tests/behat/add_scorm.feature
+++ b/mod/scorm/tests/behat/add_scorm.feature
@@ -8,8 +8,8 @@ Feature: Add scorm activity
   Scenario: Add a scorm activity to a course
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/survey/tests/behat/survey_types.feature b/mod/survey/tests/behat/survey_types.feature
index a062efd..691e934 100644
--- a/mod/survey/tests/behat/survey_types.feature
+++ b/mod/survey/tests/behat/survey_types.feature
@@ -7,7 +7,7 @@ Feature: A teacher can set three types of survey activity
   Scenario: Switching between the three survey types
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/mod/wiki/tests/behat/collaborative_individual.feature b/mod/wiki/tests/behat/collaborative_individual.feature
index b64d6d9..f800f9c 100644
--- a/mod/wiki/tests/behat/collaborative_individual.feature
+++ b/mod/wiki/tests/behat/collaborative_individual.feature
@@ -8,9 +8,9 @@ Feature: A teacher can set a wiki to be collaborative or individual
   Scenario: Collaborative and individual wikis
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/edit_tags.feature b/mod/wiki/tests/behat/edit_tags.feature
index a3e3dfd..4d7aa46 100644
--- a/mod/wiki/tests/behat/edit_tags.feature
+++ b/mod/wiki/tests/behat/edit_tags.feature
@@ -7,8 +7,8 @@ Feature: Edited wiki pages handle tags correctly
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/page_history.feature b/mod/wiki/tests/behat/page_history.feature
index c120de1..49ac414 100644
--- a/mod/wiki/tests/behat/page_history.feature
+++ b/mod/wiki/tests/behat/page_history.feature
@@ -8,9 +8,9 @@ Feature: A history of each wiki page is available
   Scenario: Wiki page edition history changes list
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/preview_page.feature b/mod/wiki/tests/behat/preview_page.feature
index a614743..2c9a7ce 100644
--- a/mod/wiki/tests/behat/preview_page.feature
+++ b/mod/wiki/tests/behat/preview_page.feature
@@ -7,8 +7,8 @@ Feature: Edited wiki pages may be previewed before saving
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/wiki_comments.feature b/mod/wiki/tests/behat/wiki_comments.feature
index e42cd80..5b23e18 100644
--- a/mod/wiki/tests/behat/wiki_comments.feature
+++ b/mod/wiki/tests/behat/wiki_comments.feature
@@ -7,9 +7,9 @@ Feature: Users can comment on wiki pages
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/wiki_formats.feature b/mod/wiki/tests/behat/wiki_formats.feature
index 7a130ea..c815f2b 100644
--- a/mod/wiki/tests/behat/wiki_formats.feature
+++ b/mod/wiki/tests/behat/wiki_formats.feature
@@ -7,7 +7,7 @@ Feature: There is a choice of formats for editing a wiki page
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/wiki/tests/behat/wiki_search.feature b/mod/wiki/tests/behat/wiki_search.feature
index 3f564c9..ef9a5db 100644
--- a/mod/wiki/tests/behat/wiki_search.feature
+++ b/mod/wiki/tests/behat/wiki_search.feature
@@ -7,9 +7,9 @@ Feature: Users can search wikis
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/mod/workshop/tests/behat/workshop_assessment.feature b/mod/workshop/tests/behat/workshop_assessment.feature
index 63f4f2f..53a8c0a 100644
--- a/mod/workshop/tests/behat/workshop_assessment.feature
+++ b/mod/workshop/tests/behat/workshop_assessment.feature
@@ -7,11 +7,11 @@ Feature: Workshop submission and assessment
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email            |
-      | student1 | Sam1      | Student1 | student1@asd.com |
-      | student2 | Sam2      | Student2 | student2@asd.com |
-      | student3 | Sam3      | Student3 | student3@asd.com |
-      | student4 | Sam4      | Student4 | student3@asd.com |
-      | teacher1 | Terry1    | Teacher1 | teacher1@asd.com |
+      | student1 | Sam1      | Student1 | student1@example.com |
+      | student2 | Sam2      | Student2 | student2@example.com |
+      | student3 | Sam3      | Student3 | student3@example.com |
+      | student4 | Sam4      | Student4 | student3@example.com |
+      | teacher1 | Terry1    | Teacher1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname  | shortname |
       | Course1   | c1        |
diff --git a/my/tests/behat/add_blocks.feature b/my/tests/behat/add_blocks.feature
index 740febf..c55a35f 100644
--- a/my/tests/behat/add_blocks.feature
+++ b/my/tests/behat/add_blocks.feature
@@ -7,8 +7,8 @@ Feature: Add blocks to my home page
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/my/tests/behat/reset_page.feature b/my/tests/behat/reset_page.feature
index 0f1b149..89c17f8 100644
--- a/my/tests/behat/reset_page.feature
+++ b/my/tests/behat/reset_page.feature
@@ -7,8 +7,8 @@ Feature: Reset my home page to default
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/my/tests/behat/restrict_available_blocks.feature b/my/tests/behat/restrict_available_blocks.feature
index abcd337..cb14704 100644
--- a/my/tests/behat/restrict_available_blocks.feature
+++ b/my/tests/behat/restrict_available_blocks.feature
@@ -8,7 +8,7 @@ Feature: Restrict which blocks can be added to My home
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/question/tests/behat/copy_questions.feature b/question/tests/behat/copy_questions.feature
index b83f639..d6a267c 100644
--- a/question/tests/behat/copy_questions.feature
+++ b/question/tests/behat/copy_questions.feature
@@ -7,7 +7,7 @@ Feature: A teacher can duplicate questions in the question bank
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email            |
-      | teacher1 | Teacher   | 1        | teacher1@asd.com |
+      | teacher1 | Teacher   | 1        | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1        | weeks  |
diff --git a/question/tests/behat/delete_questions.feature b/question/tests/behat/delete_questions.feature
index 5f58742..7fb6740 100644
--- a/question/tests/behat/delete_questions.feature
+++ b/question/tests/behat/delete_questions.feature
@@ -7,7 +7,7 @@ Feature: A teacher can delete questions in the question bank
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | weeks |
diff --git a/question/tests/behat/edit_questions.feature b/question/tests/behat/edit_questions.feature
index 74ade58..2824d54 100644
--- a/question/tests/behat/edit_questions.feature
+++ b/question/tests/behat/edit_questions.feature
@@ -7,7 +7,7 @@ Feature: A teacher can edit questions in the question bank
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | weeks |
diff --git a/question/tests/behat/preview_question.feature b/question/tests/behat/preview_question.feature
index 52dfe29..f466cfa 100644
--- a/question/tests/behat/preview_question.feature
+++ b/question/tests/behat/preview_question.feature
@@ -7,7 +7,7 @@ Feature: A teacher can preview questions in the question bank
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email            |
-      | teacher1 | Teacher   | 1        | teacher1@asd.com |
+      | teacher1 | Teacher   | 1        | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1        | weeks  |
